Posts
Get Wall Posts
Get a list of posts from a specific wall.
https://v1.apifansly.com/api/fansly
GET
/{accountId}/posts/wall/{wallId}
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Path Parameters
accountId*
stringThe unique identifier for the account.
wallId*
stringThe unique identifier for the wall.
curl -X GET "https://v1.apifansly.com/api/fansly/{accountId}/posts/wall/{wallId}" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{accountId}/posts/wall/{wallId}", {
method: "GET",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})import requests
url = "https://v1.apifansly.com/api/fansly/{accountId}/posts/wall/{wallId}"
headers = {"x-api-key": "YOUR_API_KEY"}
response = requests.get(url, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{accountId}/posts/wall/{wallId}"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{accountId}/posts/wall/{wallId}");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{accountId}/posts/wall/{wallId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"posts": [
{
"id": "92835xxxxxxxxxxxxxx",
"accountId": "86540xxxxxxxxxxxxxx",
"content": "Sundays. be Like! so chill",
"fypFlags": 0,
"inReplyTo": null,
"inReplyToRoot": null,
"replyPermissionFlags": null,
"createdAt": 1782832389,
"expiresAt": null,
"attachments": [
{
"postId": "92835xxxxxxxxxxxxxx",
"pos": 0,
"contentType": 2,
"contentId": "92835xxxxxxxxxxxxxx"
}
],
"likeCount": 0,
"timelineReadPermissionFlags": [],
"mediaLikeCount": 0,
"totalTipAmount": 0,
"attachmentTipAmount": 0,
"accountMentions": []
}
],
"aggregatedPosts": [],
"accountMediaBundles": [
{
"id": "92835xxxxxxxxxxxxxx",
"accountId": "86540xxxxxxxxxxxxxx",
"createdAt": 1782832389,
"accountMediaIds": ["92835xxxxxxxxxxxxxx", "92835xxxxxxxxxxxxxx"],
"purchased": true,
"access": true,
"...": "..."
}
],
"accountMedia": [
{
"mediaId": "91278xxxxxxxxxxxxxx",
"accountId": "86540xxxxxxxxxxxxxx",
"media": {
"id": "91278xxxxxxxxxxxxxx",
"type": 1,
"mimetype": "image/jpeg",
"locations": [
{
"locationId": "1",
"location": "https://cdn3.fansly.com/86540xxxxxxxxxxxxxx/91278xxxxxxxxxxxxxx.jpeg"
}
]
},
"purchased": true,
"access": true,
"...": "..."
}
],
"accounts": [
{
"id": "86540xxxxxxxxxxxxxx",
"username": "username_here",
"avatar": {
"id": "86540xxxxxxxxxxxxxx",
"location": "https://cdn3.fansly.com/86540xxxxxxxxxxxxxx/86540xxxxxxxxxxxxxx.jpeg"
},
"...": "..."
}
],
"tips": [],
"tipGoals": [],
"stories": [],
"polls": []
}
}
},
"timestamp": "2026-07-01T00:40:29.071Z"
}